## RepeatRuleDateRange

Description

This class is used to hold a pair of dates defining a range. The range may be open-ended by including a null for one end or the other, or both.

- author: Andrew McMillan <andrew@mcmillan.net.nz>

Located in /inc/RRule-v2.php (line 522)

Variable Summary
mixed $from
mixed $until
Method Summary
RepeatRuleDateRange __construct (RepeatRuleDateTime $date1, RepeatRuleDateTime $date2)
NULL|Rfc5545Duration getDuration ()
boolean overlaps (RepeatRuleDateRange $other)
Variables
mixed $from (line 523)

- access: public

mixed $until (line 524)

- access: public

Methods
Constructor __construct (line 535)

Construct a new RepeatRuleDateRange which will be the range between $date1 and $date2. The earliest of the two dates will be used as the start of the period, the latest as the end. If one of the dates is null then the order of the parameters is significant, with the null treated as -infinity if it is first, or +infinity if it is second.

If both parameters are null then the range is from -infinity to +infinity.

RepeatRuleDateRange __construct (RepeatRuleDateTime $date1, RepeatRuleDateTime $date2)

- RepeatRuleDateTime $date1
- RepeatRuleDateTime $date2

getDuration (line 570)

Get an Rfc5545Duration from this date range. If the from date is null it will be null.

If the until date is null the duration will either be 1 day (if the from is a date) or 0 otherwise.

NULL|Rfc5545Duration getDuration ()
overlaps (line 551)

Assess whether this range overlaps the supplied range. null values are treated as infinity.

boolean overlaps (RepeatRuleDateRange $other)

- RepeatRuleDateRange $other

Documentation generated on Wed, 04 Jul 2012 10:13:09 +0000 by phpDocumentor 1.4.3